- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# ScreenSpacePicker Class Reference

This reference page is linked to from the following overview topics: Picking, Writing Plug-ins.

Search for all occurrences

## Detailed Description

ScreenSpacePicker objects are used to translate the user action of clicking in the view into a picked point on the surface of a mesh.

If you need to control the algorithm by which points are picked, you can override this class in a plug-in, and replace Mudbox's version, which is in the plugin called "HWPicker". To create your own:

1. Write a plug-in that defines your own class derived from ScreenSpacePicker.

2. Delete the existing HWPicker plugin, and copy yours into the plug-in folder.

On OSX, this plugin is found in the Mudbox 2010 module, under Contents>MacOS>plugins. On the PC, it is found in the work dir folder, under "plugins"

Definition at line 1028 of file mesh.h.

`#include <mesh.h>`

Inheritance diagram for ScreenSpacePicker:
[legend]

List of all members.

## Public Member Functions
virtual void | SetFramebufferSize (unsigned int iWidth, unsigned int iHeight)
| This is called by Mudbox to inform the object of the size of the visible framebuffer.
virtual bool | Pick (const class Camera *pCamera, float fXPosition, float fYPosition, SurfacePoint &sResult)
| Translates the x,y coordinates of a user mouse-click to a point on surface in the scene.

## Member Function Documentation

virtual void SetFramebufferSize | ( | unsigned int | iWidth,
|  | unsigned int | iHeight
| ) |  | `[virtual]`

Search for all occurrences

This is called by Mudbox to inform the object of the size of the visible framebuffer.

Parameters:

  [in] | iWidth | The width of the frame buffer in pixels
  [in] | iHeight | The height of the frame buffer in pixels

virtual bool Pick | ( | const class Camera * | pCamera,
|  | float | fXPosition,
|  | float | fYPosition,
|  | SurfacePoint & | sResult
| ) |  | `[virtual]`

Search for all occurrences

Translates the x,y coordinates of a user mouse-click to a point on surface in the scene.

Parameters:

  [in] | pCamera | A pointer to the camera that was used to display this view
  [in] | fXPosition | The X position of the point the user clicked (in pixels)
  [in] | fYPosition | The Y position of the point the user clicked (in pixels)
  [out] | sResult | The selected point on the surface

The documentation for this class was generated from the following file:

- Mudbox/mesh.h

ScreenSpacePicker ScreenSpacePicker ScreenSpacePicker ScreenSpacePicker ScreenSpacePicker ScreenSpacePicker ScreenSpacePicker ScreenSpacePicker ScreenSpacePicker ScreenSpacePicker
ScreenSpacePicker ScreenSpacePicker ScreenSpacePicker ScreenSpacePicker ScreenSpacePicker ScreenSpacePicker ScreenSpacePicker ScreenSpacePicker ScreenSpacePicker ScreenSpacePicker